package ch.epfl.ppo;

import java.io.IOException;
import java.io.InputStream;

public class XOrInputStream extends InputStream {
    private InputStream s1, s2;

    public XOrInputStream(InputStream s1, InputStream s2) {
        this.s1 = s1;
        this.s2 = s2;
    }

    @Override
    public int read() throws IOException {
        int b1 = s1.read();
        int b2 = s2.read();
        if (b1 == -1 || b2 == -1)
            return -1;
        else
            return b1 ^ b2;
    }
    
    @Override
    public void close() throws IOException {
        s1.close();
        s2.close();
    }
}
